<template>
  <div>
    <q-btn  style="margin-top:30px; margin-left: 30px" color="orange" icon="arrow_back" label="Kembali" />

    <q-form
      @submit="onSubmit"
      @reset="onReset"
      class="q-gutter-md"
    >
      <div class="q-pa-md" style="width: 80%; background: #4caf50; color: white; margin-top: 50px; margin-left: auto; margin-right: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
        <h6 style="margin: 0px">Tambah Role</h6>
      </div>
      <div class="q-pa-md" style="width: 80%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
        <div>
          <p>&nbsp;</p>
          <h6 style="margin-left: 70px; margin-top: 0px; margin-bottom: 10px">Data Role</h6>
          <div class="q-gutter-y-md" style="width: 85%; margin: auto" >

              <q-input
                standout="bg-green text-white"
                label="Nama Role"
              />
              <q-input
                standout="bg-green text-white"
                label="Deskripsi Role"
              />

              <div class="row">
                <p class="text-weight-bold" style="margin: 20px 20px 20px 0px;">Akses Halaman</p>
                <div style="width: 70%; padding: 0; margin: 20px 20px 20px 40px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #c2c2c2" >
                <div style="width: 25%">
                  <q-checkbox v-model="detailprodk" label="Detail Produk" color="cyan" />
                  <q-checkbox v-model="ajakproyek" label="Ajak Proyek" color="cyan" />
                  <q-checkbox v-model="addrole" label="Add Role" color="cyan" />
                  <q-checkbox v-model="adduser" label="Add user" color="cyan" />
                </div>
                </div>
              </div>

          </div>
          <p>&nbsp;</p>
        </div>
      </div>

      <div style="margin-top: 20px; margin-left: auto; margin-right:auto; margin-bottom: 50px; width: 80%">
        <q-btn  label="Simpan Role" type="submit" color="blue"/>
      </div>
    </q-form>
  </div>
</template>

<script>

export default {
  data () {
    return {
      detailprodk: false,
      ajakproyek: false,
      addrole: false,
      adduser: false
    }
  }
}



</script>

<style scoped>

</style>
